ExpressionParserConstants (cayenne-doc: Cayenne Documentation 5.0-M2 API)
Description: declaration: package: org.apache.cayenne.exp.parser, interface: ExpressionParserConstants

# Interface ExpressionParserConstants

All Known Implementing Classes:
  `ExpressionParser, ExpressionParserTokenManager`

public interface ExpressionParserConstants
Token literal values and constants. Generated by org.javacc.parser.OtherFilesGen#start()

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `ABS`
  RegularExpression Id.
  `static final int`
  `AGGREGATE`
  RegularExpression Id.
  `static final int`
  `ASTERISK`
  RegularExpression Id.
  `static final int`
  `AVG`
  RegularExpression Id.
  `static final int`
  `CONCAT`
  RegularExpression Id.
  `static final int`
  `COUNT`
  RegularExpression Id.
  `static final int`
  `CURRENT_DATE`
  RegularExpression Id.
  `static final int`
  `CURRENT_TIME`
  RegularExpression Id.
  `static final int`
  `CURRENT_TIMESTAMP`
  RegularExpression Id.
  `static final int`
  `DAY`
  RegularExpression Id.
  `static final int`
  `DAY_OF_MONTH`
  RegularExpression Id.
  `static final int`
  `DAY_OF_WEEK`
  RegularExpression Id.
  `static final int`
  `DAY_OF_YEAR`
  RegularExpression Id.
  `static final int`
  `DEC_DIGITS`
  RegularExpression Id.
  `static final int`
  `DEC_FLT`
  RegularExpression Id.
  `static final int`
  `DEFAULT`
  Lexical state.
  `static final int`
  `DIGIT`
  RegularExpression Id.
  `static final int`
  `DISTINCT`
  RegularExpression Id.
  `static final int`
  `DOLLAR_SIGN`
  RegularExpression Id.
  `static final int`
  `DOUBLE_QUOTED_STRING`
  RegularExpression Id.
  `static final int`
  `EOF`
  End of File.
  `static final int`
  `ESC`
  RegularExpression Id.
  `static final int`
  `EXISTS`
  RegularExpression Id.
  `static final int`
  `EXPONENT`
  RegularExpression Id.
  `static final int`
  `FALSE`
  RegularExpression Id.
  `static final int`
  `FLOAT_LITERAL`
  RegularExpression Id.
  `static final int`
  `FLT_SUFF`
  RegularExpression Id.
  `static final int`
  `FUNCTION`
  RegularExpression Id.
  `static final int`
  `HOUR`
  RegularExpression Id.
  `static final int`
  `IDENTIFIER`
  RegularExpression Id.
  `static final int`
  `INT_LITERAL`
  RegularExpression Id.
  `static final int`
  `LENGTH`
  RegularExpression Id.
  `static final int`
  `LETTER`
  RegularExpression Id.
  `static final int`
  `LOCATE`
  RegularExpression Id.
  `static final int`
  `LOWER`
  RegularExpression Id.
  `static final int`
  `MAX`
  RegularExpression Id.
  `static final int`
  `MIN`
  RegularExpression Id.
  `static final int`
  `MINUTE`
  RegularExpression Id.
  `static final int`
  `MOD`
  RegularExpression Id.
  `static final int`
  `MONTH`
  RegularExpression Id.
  `static final int`
  `NOT_EXISTS`
  RegularExpression Id.
  `static final int`
  `NULL`
  RegularExpression Id.
  `static final int`
  `OPERATOR`
  RegularExpression Id.
  `static final int`
  `PROPERTY_PATH`
  RegularExpression Id.
  `static final int`
  `SECOND`
  RegularExpression Id.
  `static final int`
  `SINGLE_QUOTED_STRING`
  RegularExpression Id.
  `static final int`
  `SQRT`
  RegularExpression Id.
  `static final int`
  `STRING_ESC`
  RegularExpression Id.
  `static final int`
  `SUBSTRING`
  RegularExpression Id.
  `static final int`
  `SUM`
  RegularExpression Id.
  `static final String[]`
  `tokenImage`
  Literal token values.
  `static final int`
  `TRIM`
  RegularExpression Id.
  `static final int`
  `TRUE`
  RegularExpression Id.
  `static final int`
  `UPPER`
  RegularExpression Id.
  `static final int`
  `WEEK`
  RegularExpression Id.
  `static final int`
  `WithinDoubleQuoteLiteral`
  Lexical state.
  `static final int`
  `WithinSingleQuoteLiteral`
  Lexical state.
  `static final int`
  `YEAR`
  RegularExpression Id.

- ## Field Details

  - ### EOF

    static final int EOF
    End of File.
    See Also:
      - Constant Field Values

  - ### NULL

    static final int NULL
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### TRUE

    static final int TRUE
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### FALSE

    static final int FALSE
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### AVG

    static final int AVG
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### MIN

    static final int MIN
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### MAX

    static final int MAX
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### SUM

    static final int SUM
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### COUNT

    static final int COUNT
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### DISTINCT

    static final int DISTINCT
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### EXISTS

    static final int EXISTS
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### NOT_EXISTS

    static final int NOT_EXISTS
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### CONCAT

    static final int CONCAT
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### SUBSTRING

    static final int SUBSTRING
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### TRIM

    static final int TRIM
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### LOWER

    static final int LOWER
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### UPPER

    static final int UPPER
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### LENGTH

    static final int LENGTH
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### LOCATE

    static final int LOCATE
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### ABS

    static final int ABS
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### SQRT

    static final int SQRT
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### MOD

    static final int MOD
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### CURRENT_DATE

    static final int CURRENT_DATE
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### CURRENT_TIME

    static final int CURRENT_TIME
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### CURRENT_TIMESTAMP

    static final int CURRENT_TIMESTAMP
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### YEAR

    static final int YEAR
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### MONTH

    static final int MONTH
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### WEEK

    static final int WEEK
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### DAY_OF_YEAR

    static final int DAY_OF_YEAR
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### DAY

    static final int DAY
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### DAY_OF_MONTH

    static final int DAY_OF_MONTH
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### DAY_OF_WEEK

    static final int DAY_OF_WEEK
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### HOUR

    static final int HOUR
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### MINUTE

    static final int MINUTE
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### SECOND

    static final int SECOND
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### FUNCTION

    static final int FUNCTION
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### OPERATOR

    static final int OPERATOR
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### AGGREGATE

    static final int AGGREGATE
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### ASTERISK

    static final int ASTERISK
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### PROPERTY_PATH

    static final int PROPERTY_PATH
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### IDENTIFIER

    static final int IDENTIFIER
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### LETTER

    static final int LETTER
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### DIGIT

    static final int DIGIT
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### DOLLAR_SIGN

    static final int DOLLAR_SIGN
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### ESC

    static final int ESC
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### SINGLE_QUOTED_STRING

    static final int SINGLE_QUOTED_STRING
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### STRING_ESC

    static final int STRING_ESC
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### DOUBLE_QUOTED_STRING

    static final int DOUBLE_QUOTED_STRING
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### INT_LITERAL

    static final int INT_LITERAL
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### FLOAT_LITERAL

    static final int FLOAT_LITERAL
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### DEC_FLT

    static final int DEC_FLT
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### DEC_DIGITS

    static final int DEC_DIGITS
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### EXPONENT

    static final int EXPONENT
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### FLT_SUFF

    static final int FLT_SUFF
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### DEFAULT

    static final int DEFAULT
    Lexical state.
    See Also:
      - Constant Field Values

  - ### WithinSingleQuoteLiteral

    static final int WithinSingleQuoteLiteral
    Lexical state.
    See Also:
      - Constant Field Values

  - ### WithinDoubleQuoteLiteral

    static final int WithinDoubleQuoteLiteral
    Lexical state.
    See Also:
      - Constant Field Values

  - ### tokenImage

    static final String[] tokenImage
    Literal token values.